summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGeorgy Yakovlev <gyakovlev@gentoo.org>2019-04-18 11:24:47 -0700
committerGeorgy Yakovlev <gyakovlev@gentoo.org>2019-04-18 11:54:37 -0700
commitf443ace2db4efc0619bc5d951a15a6c8b858a23d (patch)
treec05baa1d7696c31062079efa48a2f392ed543355 /dev-java
parentdev-java/openjdk-jre-bin: bump to 11.0.3_p7 (diff)
downloadgentoo-f443ace2db4efc0619bc5d951a15a6c8b858a23d.tar.gz
gentoo-f443ace2db4efc0619bc5d951a15a6c8b858a23d.tar.bz2
gentoo-f443ace2db4efc0619bc5d951a15a6c8b858a23d.zip
dev-java/openjdk-bin: bump to 11.0.3_p7
amd64 for now, upstream hasn't published all tarballs yet Package-Manager: Portage-2.3.63, Repoman-2.3.12 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
Diffstat (limited to 'dev-java')
-rw-r--r--dev-java/openjdk-bin/Manifest1
-rw-r--r--dev-java/openjdk-bin/openjdk-bin-11.0.3_p7.ebuild101
2 files changed, 102 insertions, 0 deletions
diff --git a/dev-java/openjdk-bin/Manifest b/dev-java/openjdk-bin/Manifest
index 0bef8aecfd4..6db9d67d1c2 100644
--- a/dev-java/openjdk-bin/Manifest
+++ b/dev-java/openjdk-bin/Manifest
@@ -4,6 +4,7 @@ DIST OpenJDK11U-jdk_ppc64le_linux_hotspot_11.0.2_7.tar.gz 180394013 BLAKE2B b5b8
DIST OpenJDK11U-jdk_ppc64le_linux_hotspot_11.0.2_9.tar.gz 180384673 BLAKE2B 51cc7f53c371dc140f9cd17c3523251929e384ca73eb34c283b969be1b5c91b1ec15bf72fe08c80b141a96aa0de5dcb0c9631e2f776e123ad5a4059174dfbc1a SHA512 00ecb0fe1e5b4f682841eeda41525dc5a9205e55ec8ccb332aa1dc724499d2df927870c8b70da950384b50a8014bbd70d0025a5ce0ccb90bfc4df028e64613cb
DIST OpenJDK11U-jdk_x64_linux_hotspot_11.0.2_7.tar.gz 195593592 BLAKE2B 038c88dd4475842ffd27afc9249925baea0230cd993a963e13c2e090a0f6332fbeaebefae5b5e98026a12a7d94696633507a9d08af469b0227372088b5cd4869 SHA512 f9f4d168105e499b0da4923c6fe18c31ea6f6a24a48fc9d47b643460316d75de273f8f6dcbd43c9df6efcfb77127182dab8125c55f63200c5ff53cc9eb0ddcdc
DIST OpenJDK11U-jdk_x64_linux_hotspot_11.0.2_9.tar.gz 195592867 BLAKE2B 91593fc849e558abf965ecfeadefbeab464e1c4562ec57d0bb6dcb9c17525a7cf37593d8fa2146d4545122a634d22c46764af32a124a0e17621da8b643c2770d SHA512 976874e04df71f747a5a7a78081b5989adfcf783b5642d3a0ca2ab2a98547fbe9495dce57b8eda69240f1850bead7bdd6cd59bf9f53ba70400e0806e0950866d
+DIST OpenJDK11U-jdk_x64_linux_hotspot_11.0.3_7.tar.gz 195982221 BLAKE2B 61ccbceb07bcb72a5f9d797997b4a250c2d171d7c7930877db0865d95b1faeb83e160eab59c484d2fce06a7116f06eb8a57eb5295a254fba7315ccb2e88b6db9 SHA512 2c590492ab9bddef68afcfbb54117688e1b24b41dc871bc4ba869319c16587ebfc061ce72712f209403e76d589f01d57cd85384653b1ecf767ee8e4018e1607a
DIST OpenJDK8U-jdk_aarch64_linux_hotspot_8u191b12.tar.gz 75382012 BLAKE2B 9521bb3d0dc08d5069108bb56594d401cbadf7a290652a39c7379e6ded530044e85f1ffae1cd3eb7e881d7c283c06463e6f8b76602d03a7bf5b188b1004f5daf SHA512 156f7a57f095095b72edb4bfc766d575795e496b006fb994566b0207d346e89863cf377ce97290bf1b47923c5d6aee5558eaa7a54f394f95a270b1cfec4308e2
DIST OpenJDK8U-jdk_ppc64le_linux_hotspot_8u202b08.tar.gz 101497437 BLAKE2B 4fdc659f9cc50fd968cd339cf24780cd0097286fe3004669972b925fa5c8bbd0e6024587f761ef05ec170c4caa6a915f9f748badd021fae6eb669aa613e1c90d SHA512 42991d2203d51492090e92ee4c7600e7b0ab613550d925f52dd7c7c3b796f9bd36e7284d55540b661a5175064d714267cddd786d81aeda358feda3927e3676e3
DIST OpenJDK8U-jdk_ppc64le_linux_hotspot_8u212b03.tar.gz 101610850 BLAKE2B 3a782f21855b1633255b2691e4adb516b12b84e37d81cdfda2b7b251cf78602a3b4c4120fbaec01d177fe7187b581f5dde392c7f841a39d269b548f1ada18be2 SHA512 25d53c8ca9bc4e1fd0ae1fca349d1e605e0dfb8a4aa386408875d5c23ef8b3ecc42ed297bc125f2ab74e9726e10374ec12d6c39736a53a94d3150001756e0027
diff --git a/dev-java/openjdk-bin/openjdk-bin-11.0.3_p7.ebuild b/dev-java/openjdk-bin/openjdk-bin-11.0.3_p7.ebuild
new file mode 100644
index 00000000000..8cc6752e5ae
--- /dev/null
+++ b/dev-java/openjdk-bin/openjdk-bin-11.0.3_p7.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit java-vm-2
+
+abi_uri() {
+ echo "${2-$1}? (
+ https://github.com/AdoptOpenJDK/openjdk${SLOT}-binaries/releases/download/jdk-${MY_PV}/OpenJDK${SLOT}U-jdk_${1}_linux_hotspot_${MY_PV//+/_}.tar.gz
+ )"
+}
+
+MY_PV=${PV/_p/+}
+SLOT=${MY_PV%%[.+]*}
+
+SRC_URI="
+ $(abi_uri x64 amd64)
+"
+
+DESCRIPTION="Prebuilt Java JDK binaries provided by AdoptOpenJDK"
+HOMEPAGE="https://adoptopenjdk.net"
+LICENSE="GPL-2-with-classpath-exception"
+KEYWORDS="~amd64"
+IUSE="alsa cups doc examples +gentoo-vm headless-awt nsplugin selinux source +webstart"
+
+RDEPEND="
+ media-libs/fontconfig:1.0
+ media-libs/freetype:2
+ >=sys-libs/glibc-2.2.5:*
+ sys-libs/zlib
+ alsa? ( media-libs/alsa-lib )
+ cups? ( net-print/cups )
+ doc? ( dev-java/java-sdk-docs:${SLOT} )
+ selinux? ( sec-policy/selinux-java )
+ !headless-awt? (
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXi
+ x11-libs/libXrender
+ x11-libs/libXtst
+ )"
+
+PDEPEND="webstart? ( >=dev-java/icedtea-web-1.6.1:0 )
+ nsplugin? ( >=dev-java/icedtea-web-1.6.1:0[nsplugin] )"
+
+RESTRICT="preserve-libs splitdebug"
+QA_PREBUILT="*"
+
+S="${WORKDIR}/jdk-${MY_PV}"
+
+src_install() {
+ local dest="/opt/${P}"
+ local ddest="${ED}${dest#/}"
+
+ # Not sure why they bundle this as it's commonly available and they
+ # only do so on x86_64. It's needed by libfontmanager.so. IcedTea
+ # also has an explicit dependency while Oracle seemingly dlopens it.
+ rm -vf lib/libfreetype.so || die
+
+ # Oracle and IcedTea have libjsoundalsa.so depending on
+ # libasound.so.2 but AdoptOpenJDK only has libjsound.so. Weird.
+ if ! use alsa ; then
+ rm -v lib/libjsound.* || die
+ fi
+
+ if ! use examples ; then
+ rm -vr demo/ || die
+ fi
+
+ if use headless-awt ; then
+ rm -v lib/lib*{[jx]awt,splashscreen}* || die
+ fi
+
+ if ! use source ; then
+ rm -v lib/src.zip || die
+ fi
+
+ dodir "${dest}"
+ cp -pPR * "${ddest}" || die
+
+ use gentoo-vm && java-vm_install-env "${FILESDIR}"/${PN}-${SLOT}.env.sh
+ java-vm_set-pax-markings "${ddest}"
+ java-vm_revdep-mask
+ java-vm_sandbox-predict /dev/random /proc/self/coredump_filter
+}
+
+pkg_postinst() {
+ java-vm-2_pkg_postinst
+
+ if use gentoo-vm ; then
+ ewarn "WARNING! You have enabled the gentoo-vm USE flag, making this JDK"
+ ewarn "recognised by the system. This will almost certainly break things."
+ else
+ ewarn "The experimental gentoo-vm USE flag has not been enabled so this JDK"
+ ewarn "will not be recognised by the system. For example, simply calling"
+ ewarn "\"java\" will launch a different JVM. This is necessary until Gentoo"
+ ewarn "fully supports Java 11. This JDK must therefore be invoked using its"
+ ewarn "absolute location under ${EPREFIX}/opt/${P}."
+ fi
+}